Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Class InterpreterError.AddressOutOfBoundsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              avrora.Avrora.Error
                  avrora.sim.InterpreterError.AddressOutOfBoundsException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  InterpreterError

public static class InterpreterError.AddressOutOfBoundsException
extends Avrora.Error

The `AddressOutOfBoundsException` is thrown when the user attempts to access out of bounds memory through the state interface.

See Also:
  Serialized Form

Field Summary
`int` | `badPc`
`int` | `data_addr`
`java.lang.String` | `segment`

Fields inherited from class avrora.Avrora.Error
`message, param, STACKTRACES`

Constructor Summary
`protected` | `InterpreterError.AddressOutOfBoundsException(java.lang.String s, int pc, int da)`

Methods inherited from class avrora.Avrora.Error
`getParam, report`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### segment

    public final java.lang.String segment

### data_addr

    public final int data_addr

### badPc

    public final int badPc

Constructor Detail

### InterpreterError.AddressOutOfBoundsException

    protected InterpreterError.AddressOutOfBoundsException(java.lang.String s,
                                                           int pc,
                                                           int da)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD